Tryton - Issues



Title Allow field name as image name
Priority feature Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type feature request Components sao, tryton, trytond
Assigned To ced Keywords review
Reviews 43891002,40951002,35851002
View: 43891002, 40951002, 35851002

Created on 2018-01-15.18:47:24 by ced, last changed by roundup-bot.

New changeset 4eddffb27b80 by Cédric Krier in branch 'default':
Support field name on image tag
New changeset beb2bb370098 by Cédric Krier in branch 'default':
Support field name on image tag
New changeset 407e4f7c8c0d by Cédric Krier in branch 'default':
Allow field name on image tag
review43891002 updated at
review43891002 updated at
review35851002 updated at
review40951002 updated at
review43891002 updated at
msg37620 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-15.18:47:23
The image tag allows only icon name as name attribute. So this makes the image fixed for any record. It may be useful to make it depending on the record.
We could use a similar approach as for label tag by allowing to have a field name as name attribute. The client will get the value of the field which must contain the icon name.
Date User Action Args
2018-01-23 22:15:26roundup-botsetmessages: + msg37912
2018-01-23 22:14:37roundup-botsetmessages: + msg37911
2018-01-23 22:13:34roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg37910
2018-01-18 11:09:03reviewbotsetmessages: + msg37677
2018-01-17 12:13:04reviewbotsetmessages: + msg37666
2018-01-15 19:13:38reviewbotsetmessages: + msg37624
2018-01-15 19:13:22reviewbotsetmessages: + msg37623
2018-01-15 19:13:05reviewbotsetnosy: + reviewbot
messages: + msg37622
2018-01-15 18:49:33cedsetstatus: in-progress -> testing
reviews: 43891002,40951002,35851002
keyword: + review
2018-01-15 18:47:24cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)